
QGIS Application - Bug report #21458

rendering cycles forever when viewing raster at certain scales

2019-03-03 08:19 PM - Tony Walters

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:3.6.0 Regression?: No

Operating System: Win 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 29275

Description

High resolution raster (LiDAR 1m) causes rendering to cycle forever.  Example of Scales that exhibit the behaviour:

1:2556 - ok

1:5111 - bad

1:81777 - ok

Windows 10

16GB ram

Nividia Geforce

Problem started from version 3, and continues in version 3.6

History

#1 - 2019-03-03 08:22 PM - Giovanni Manghi

Not sure is related, but in a recent training based on 3.4.5 I have seen a lot of installation simply stop to show anything on map while the progress bar at the

bottom seemed to indicate that qgis was loading something. The projects where very simple with just a few vector and raster layers, light stuff. Only

solution? restart qgis, not pretty.

#2 - 2019-03-03 08:22 PM - Giovanni Manghi

- Status changed from Open to Feedback

does it happen with any raster?

#3 - 2019-03-08 12:29 PM - Tony Walters

Hello,

I loaded up a couple of 30m elevation rasters and they work as normal.  I also loaded up 2 more LiDAR 1m elevation raster and they exhibit similar

behaviour.

LiDAR 1        LiDAR 2

1:2556 good    1:1364 good

1:5111 bad    1:2729 bad

1:81777 good    1:87321 good
LiDAR 3

1:2047 good

1:4093 bad

1:8186 bad

1:16373 bad

1:32745 bad

1:65491 bad

1:130982 good

Cheers,

Tony

#4 - 2019-03-08 01:07 PM - Giovanni Manghi

Tony Walters wrote:

Hello,

I loaded up a couple of 30m elevation rasters and they work as normal.  I also loaded up 2 more LiDAR 1m elevation raster and they exhibit similar

behaviour.

LiDAR 1        LiDAR 2

1:2556 good    1:1364 good

1:5111 bad    1:2729 bad

1:81777 good    1:87321 good

LiDAR 3

1:2047 good

1:4093 bad

1:8186 bad

1:16373 bad

1:32745 bad

1:65491 bad

1:130982 good

Cheers,

Tony

can you attach/link sample data?

#5 - 2019-03-08 03:38 PM - Tony Walters

Here is one of them.

https://we.tl/t-BouzBWxDay

I don't think this is related but for certainty:  I have many layers, only a few selected at a time. The system starting from 3.0 has been very sluggish,

sometimes taking minutes to render. In order to eliminate my laptop as a factor, I have ordered a 6 core processor desktop with 32GB RAM and Geforce

graphics.  Should arrive in a week or so.  Then I will do a new install of QGIS and see if there is a change.
#6 - 2019-03-08 04:25 PM - Giovanni Manghi

Tony Walters wrote:

Here is one of them.

https://we.tl/t-BouzBWxDay

I can't see any issue on 3.6 on both Linux and Windows on this layer, at any scale.

#7 - 2019-03-23 03:00 PM - Tony Walters

`Update: I have upgraded to a new Intel 8700 PC with 32GB ram and Geforce graphics.  The sluggishness is not apparent on this new system.  We should

close this now.  Maybe this was some kind of corruption on the old laptop. Thx for the assistance.

#8 - 2019-03-24 01:17 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed
